%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname ExtFile 
%define productver  1.1.3

Name:               zope-%{productname}
Summary:            A Zope product: ExtFile/ExtImage 
Version:            %{productver} 
Release:            1ied00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/MacGregor/ExtFile 
Source:             http://zope.org/Members/MacGregor/%{productname}/%{productver}/%{productname}-%{productver}.tgz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch

#----------------------------------------------------------------------
%description
The ExtFile/ExtImage Product stores a file externally in the filesystem and keeps only meta data in the Zope Database. The file is stored in an external file repository and is accessible via its corresponding Zope object.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt version.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Tue Feb 24 2004 Wei He <hewei@ied.org.cn> 1.1.3-1ied00
- Initial release
